CVE-2021-41148

Published on: 10/15/2021 12:00:00 AM UTC

Last Modified on: 10/21/2021 05:14:00 PM UTC

CVE-2021-41148 - advisory for GHSA-3c4q-8c35-cp63

Source: Mitre Source: Nist Print: PDF PDF
CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

Certain versions of Tuleap from Enalean contain the following vulnerability:

Tuleap Open ALM is a libre and open source tool for end to end traceability of application and system developments. Prior to version 11.16.99.173 of Community Edition and versions 11.16-6 and 11.15-8 of Enterprise Edition, an attacker with the ability to add one the CI widget to its personal dashboard could execute arbitrary SQL queries. Tuleap Community Edition 11.16.99.173, Tuleap Enterprise Edition 11.16-6, and Tuleap Enterprise Edition 11.15-8 contain a patch for this issue.

  • CVE-2021-41148 has been assigned by URL Logo [email protected] to track the vulnerability - currently rated as HIGH severity.
  • Affected Vendor/Software: URL Logo Enalean - tuleap version < 11.16.99.173
  • Affected Vendor/Software: URL Logo Enalean - tuleap version >= 11.16-1, < 11.16-6
  • Affected Vendor/Software: URL Logo Enalean - tuleap version >= 11.15-1, < 11.15-8

CVSS3 Score: 8.8 - HIGH

Attack
Vector
Attack
Complexity
Privileges
Required
User
Interaction
NETWORK LOW LOW NONE
Scope Confidentiality
Impact
Integrity
Impact
Availability
Impact
UNCHANGED HIGH HIGH HIGH

CVSS2 Score: 6.5 - MEDIUM

Access
Vector
Access
Complexity
Authentication
NETWORK LOW SINGLE
Confidentiality
Impact
Integrity
Impact
Availability
Impact
PARTIAL PARTIAL PARTIAL

CVE References

Description Tags Link
The update of the CI job targeted by a widget is vulnerable to blind SQL injections · Advisory · Enalean/tuleap · GitHub github.com
text/html
URL Logo CONFIRM github.com/Enalean/tuleap/security/advisories/GHSA-3c4q-8c35-cp63
The update of the CI job targeted by a widget is vulnerable to b - request #15028 - Requests - Tuleap tuleap.net
text/html
URL Logo MISC tuleap.net/plugins/tracker/?aid=15028
Git - Tuleap tuleap.net
text/html
URL Logo MISC tuleap.net/plugins/git/tuleap/tuleap/stable?a=commit&h=91535add59f4b3a04b6b8eab123c002cd5af180d
request #15028: The update of the CI job targeted by a widget is vuln… · Enalean/[email protected] · GitHub github.com
text/html
URL Logo MISC github.com/Enalean/tuleap/commit/91535add59f4b3a04b6b8eab123c002cd5af180d

Known Affected Configurations (CPE V2.3)

Type Vendor Product Version Update Edition Language
ApplicationEnaleanTuleapAllAllAllAll
ApplicationEnaleanTuleapAllAllAllAll
  • cpe:2.3:a:enalean:tuleap:*:*:*:*:community:*:*:*:
  • cpe:2.3:a:enalean:tuleap:*:*:*:*:enterprise:*:*:*:

Social Mentions

Source Title Posted (UTC)
© CVE.report 2022 Twitter Nitter Twitter Viewer |

Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.

CVE, CWE, and OVAL are registred trademarks of The MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. This site includes MITRE data granted under the following license.

CVE.report and Source URL Uptime Status status.cve.report